Orxonox: method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 > Class Template Reference

# method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 > Class Template Reference

`#include <src/cpptcl/details/methods.h>`

List of all members.

## Public Member Functions

virtual void | invoke (void *pv, Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], policies const &)
| method9 (cmem_type f)
| method9 (mem_type f)

## Private Types

typedef R(C::* | cmem_type )(T1, T2, T3, T4, T5, T6, T7, T8, T9) const
typedef R(C::* | mem_type )(T1, T2, T3, T4, T5, T6, T7, T8, T9)

## Private Attributes

cmem_type | cf_
bool | cmem_
mem_type | f_

### template<class C, typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>
class method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >

## Member Typedef Documentation

template<class C, typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>

typedef R(C::* method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::cmem_type)(T1, T2, T3, T4, T5, T6, T7, T8, T9) const `[private]`

template<class C, typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>

typedef R(C::* method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::mem_type)(T1, T2, T3, T4, T5, T6, T7, T8, T9)`[private]`

## Constructor & Destructor Documentation

template<class C, typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>

method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::method9 | ( | mem_type | f | ) | `[inline]`

template<class C, typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>

method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::method9 | ( | cmem_type | f | ) | `[inline]`

## Member Function Documentation

template<class C, typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>

virtual void method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::invoke | ( | void * | pv,
|  | Tcl_Interp * | interp,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[],
|  | policies const & |  |
| ) |  |  | `[inline, virtual]`

References orxonox::KeyCode::C, method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::cf_, Tcl::details::check_params_no(), method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::cmem_, and method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::f_.

## Member Data Documentation

template<class C, typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>

cmem_type method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::cf_`[private]`

Referenced by method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, object const & >::invoke(), and method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::invoke().

template<class C, typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>

bool method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::cmem_`[private]`

Referenced by method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, object const & >::invoke(), and method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::invoke().

template<class C, typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>

mem_type method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::f_`[private]`

Referenced by method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, object const & >::invoke(), and method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::invoke().

The documentation for this class was generated from the following file:

- src/cpptcl/details/methods.h